Pular para o conteúdo principal
POST
Create API key

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Parâmetros de caminho

workspaceId
string
obrigatório

The workspace ID

Pattern: ^ws_[a-z0-9]+$

Corpo

application/json
name
string
obrigatório
Required string length: 1 - 255
permissions
string[]
expires_at
string<date-time> | null
brand_id
string<uuid> | null

Phase 176-05: brand-scoped key. When set, this key can only access products and resources belonging to the specified brand. Omit or set to null for workspace-wide access.

Resposta

API key created successfully

id
string
obrigatório
workspace_id
string
obrigatório
name
string
obrigatório
key_prefix
string
obrigatório

First 10 characters of the API key

created_at
string<date-time>
obrigatório
permissions
string[]
last_used_at
string<date-time> | null
expires_at
string<date-time> | null
created_by
string
brand_id
string<uuid> | null

Phase 176-05: brand scope. Non-null means this key is restricted to resources of the specified brand.

secret
string

Full API key (only shown on creation)

Última modificação em 16 de fevereiro de 2026